#
# Build stage
#
#FROM maven:3.6.0-jdk-11-slim AS build
#COPY src /home/app/src
#COPY pom.xml /home/app
#RUN mvn -f /home/app/pom.xml clean package

#pull base image
FROM openjdk:11-jre-slim
#COPY --from=build /home/app/target/demo-0.0.1-SNAPSHOT.jar /usr/local/lib/demo.jar
COPY ./target/demo-0.0.1-SNAPSHOT.jar /usr/local/lib/demo.jar
#expose port 8080
EXPOSE 8080
ENTRYPOINT ["java","-jar","/usr/local/lib/demo.jar"]